node_locations_for_ways.hpp File Reference
`#include <type_traits>`
`#include <osmium/handler.hpp>`
`#include <osmium/index/index.hpp>`
`#include <osmium/index/map/dummy.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/osm/way.hpp>`
`#include <osmium/index/node_locations_map.hpp>`
Include dependency graph for node_locations_for_ways.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::handler::NodeLocationsForWays< TStoragePosIDs, TStorageNegIDs >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::handler
| Osmium handlers provide callbacks for OSM objects.

## Typedefs

typedef osmium::index::map::Dummy< osmium::unsigned_object_id_type, osmium::Location > | osmium::handler::dummy_type